#ifndef pbook
#define pbook

#include "Arduino.h"
#include <myLiquidCrystal.h>
#include <Menus.h>
#include <EEPROM.h>
#include <Phonebook.h>

#define PHONEBOOKSIZE (3+maxentry*telnolength)

const byte telnolength=17; // 16 chars plus 0
const byte maxentry=5;

class phonebook {
	
public:	
	phonebook(unsigned int pos =0, unsigned int magic=0);
	
	void phonebookreset(void);
	void editphonebook(myLiquidCrystal *l);
	void readtelno(char *s, byte i);
	byte numberofentries(void);
    boolean isinphonebook(char *s);

private:
	void clear(void);

	byte addentry(char *newentry);
	byte deleteentry(byte m);
	
	void addblanksright(char *s);
	void subblanksright(char *s);
	
	void writetelno(char *s, byte i);
	byte setnumberofentries(byte n);
    
      byte offset(byte i);
    
	void menufromphonebook(Menu *men);
	unsigned int lastentrytoedit;
	
	unsigned int position;
};


#endif
