/***************************
 *
 *
 *	Library to organize storage of strings to eeprom memory
 *
 *
 *	R. Kohleick	29.12.2012
 *
 * licensed under GNU GPLv3
 *
 **/



#ifndef streeng_h

#define streeng_h

class streeng {
	
public:
	streeng(int off);
	
	void setbaseindex(int ndx);
	void init(void);
	int read(char *s, int ndx);
	int write(char *s);

private:
	int offset;	// starting position in eeprom
	int basis;	// simplifies access, if a basis is != 0, then all ndx are corrected by that number
};

#endif

